Summary:	Utility for interfacing with IPMI devices
Name:		ipmitool
Version:	1.8.13
Release:	%mkrel 1
License:	GPLv2
Group:		System/Kernel and hardware
Url:		http://ipmitool.sourceforge.net/
Source0:	http://sourceforge.net/projects/ipmitool/files/%{name}/%{version}/%{name}-%{version}.tar.bz2/download
Patch1:		ipmitool-1.8.11-CVE-2011-4339.diff
Patch2:		ipmitool-1.8.10-implicit-fortify-decl.patch
Patch3:		several_more_compile_fixes.patch
Patch4:		sdradd_close_file_handle.patch
BuildRequires:	openssl-devel
BuildRequires:	readline-devel
BuildRequires:	ncurses-devel
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	libtool

%description
IPMI stands for Intelligent Platform Management Interface 
and is an open standard for machine health, and (remote) control
and is implemented by many hardware vendors - Intel is one of the originators, 
and early adopters of the standard.
This package contains a utility for interfacing with IPMI-enabled devices
through either the OpenIPMI kernel driver or with IPMI-over-LAN protocol.
These functions include printing FRU(Field Replaceable Unit) information,
LAN configuration, sensor readings, and remote chassis power control. 

%prep
%setup -q
%patch1 -p1
%patch2 -p0
%patch3 -p1
%patch4 -p1

%build
# --disable-dependency-tracking speeds up the build
# --enable-file-security adds some security checks
# --disable-intf-free disables FreeIPMI support - we don't want to depend on
#   FreeIPMI libraries, FreeIPMI has its own ipmitoool-like utility.

# begin: release auto-tools
aclocal
libtoolize --automake --copy
autoheader
automake --foreign --add-missing --copy
aclocal
autoconf
automake --foreign
# end: release auto-tools

%configure2_5x \
	--disable-dependency-tracking \
	--enable-file-security \
	--disable-intf-free 
%make

%install
%makeinstall_std
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/ipmitool

%files
%doc AUTHORS COPYING README
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man1/*
%{_mandir}/man8/*
%{_datadir}/ipmitool
%doc %{_mandir}/man1/*
%doc %{_mandir}/man8/*



%changelog
* Tue Oct 29 2013 philippem <philippem> 1.8.13-1.mga4
+ Revision: 547876
- imported package ipmitool

